delete from [dbo].EventTypes;
insert into [dbo].EventTypes (EventType,EventCode,EventDescription) values (1,'SCAN','Document has been scanned');
insert into [dbo].EventTypes (EventType,EventCode,EventDescription) values (2,'VIEW','Document has been viewed');
insert into [dbo].EventTypes (EventType,EventCode,EventDescription) values (3,'DELETE','Document has been deleted');
insert into [dbo].EventTypes (EventType,EventCode,EventDescription) values (4,'PRINT','Document has been Printed');
insert into [dbo].EventTypes (EventType,EventCode,EventDescription) values (5,'IMPORTED','Document has been imported');
insert into [dbo].EventTypes (EventType,EventCode,EventDescription) values (6,'FAXIN','Document has been received by fax');

delete from [dbo].DetectionTypes;
insert into [dbo].DetectionTypes (id,DetectionTypeName,Description) values (1,'Barcode','Document is Identified by the barcode and assiged the Coded Label in the Image');
insert into [dbo].DetectionTypes (id,DetectionTypeName,Description) values (2,'Size','The document is identified on size alone');
insert into [dbo].DetectionTypes (id,DetectionTypeName,Description) values (3,'Document Map','A map of the diagram is compared to reference maps');

delete from [dbo].TaskTypes;
insert into [dbo].TaskTypes (TaskType,TaskCode,TaskDescription) values (1,'DELETE','Delete Image record');
insert into [dbo].TaskTypes (TaskType,TaskCode,TaskDescription) values (2,'ALIAS','Create Alias Record');

BEGIN transaction
delete from [dbo].AutoScanUsersAndDomains where intUserID < 4;
delete from [dbo].AutoscanUsersAndDomainGroups where intUserId < 4;

DBCC CHECKIDENT('AutoScanUsersAndDomains', RESEED, 0);
insert into [dbo].AutoScanUsersAndDomains([Type],DomainName,UserName,Description,PasswordHash) values (0,'','DefaultScanner','Default Scanning User','');
insert into [dbo].AutoScanUsersAndDomains([Type],DomainName,UserName,Description,PasswordHash) values (0,'','DefaultImageManager','Default Image Manager','');
insert into [dbo].AutoScanUsersAndDomains([Type],DomainName,UserName,Description,PasswordHash) values (0,'','DefaultAdmin','Default Admin User','');
DBCC CHECKIDENT('AutoScanUsersAndDomains');

insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (1,0);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (1,1);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (1,2);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (1,3);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (2,0);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (2,1);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (2,2);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (2,3);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (2,6);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (3,0);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (3,1);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (3,2);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (3,3);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (3,4);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (3,5);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (3,6);
insert into [dbo].AutoscanUsersAndDomainGroups(intUserId,GroupCode) values (3,7);
Commit;
